commit:     5a5f50187dd0dfeb593b88fc461abaa99c1ad5b1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 27 13:18:32 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov 27 15:14:49 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a5f5018

dev-python/setuptools: Bump to 42.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/setuptools/Manifest                 |  1 +
 dev-python/setuptools/setuptools-42.0.1.ebuild | 89 ++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index 3db7d4cf2fd..9a7ba465b4f 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -1,3 +1,4 @@
 DIST setuptools-40.6.3.zip 839328 BLAKE2B 
ddc87213439ce2ad96ba54218bd5b3e41a7c31d670bddb9e4ea058b8ee7dffbe6fcb0e5fd24baf3fb38f5e824fde36aa8dc1e09d7ac37f9375ee351406389cd6
 SHA512 
6c628b8fc67645bca96ddcd016ec9a685e91690bf98dff077e842cfbd0d8d24de76ac51b3ff238d31551a48819d8f694fee6e9bb422ca954e54c22b4bda0038c
 DIST setuptools-41.5.1.zip 851097 BLAKE2B 
2411db77cffb24190c1510c7fab623ae0fb2a248994eae01e1a79427d35d8bf6a2f065de0d95dc11105df0bb42962a57c914486b48dc91115ec32e4dbcbc059d
 SHA512 
eb6e944c80448873f8970477aaf474e75879e2b81b91fdc7a308670fed231d52880c3be3452e7ed3f094f20d4afe54b1db24ec4d98845ed47ee5e71dbf66261d
 DIST setuptools-42.0.0.zip 852125 BLAKE2B 
b3cbba2eb97f7d6d0bb1a1d582c927680ada8d4589c4a196886f95cddd5b8c8b14fb5f0a2397ab7bcdc4ddd5fe6d4eddfab53bf9f43e0781a666f3d88efb8117
 SHA512 
d430605f8da3820b8d902d339b63bc382b9ec1bb0187385f792226bdfa8c191634df69881e1c43ffa8900599307d0ba202cfcb2d30df12d061f8220b9eae854a
+DIST setuptools-42.0.1.zip 852264 BLAKE2B 
fac352a9d87245655f8183a8037552d454441ca5d18be60986d3d7883472a8be6af83614cb73896b76a251eadb09c1a67db9789ddbc5beb1dd9c3e1ddadd671a
 SHA512 
d8eea952dc3cd925ddf3aaf059e9042dcb2684fd841446d92f309fcf8ad1869a380784d137006ca1b46ee539b4e1867e5b61eae80553295897df702966447232

diff --git a/dev-python/setuptools/setuptools-42.0.1.ebuild 
b/dev-python/setuptools/setuptools-42.0.1.ebuild
new file mode 100644
index 00000000000..0c293d1ea95
--- /dev/null
+++ b/dev-python/setuptools/setuptools-42.0.1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} pypy{,3} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/pypa/setuptools.git";
+       inherit git-r3
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools 
https://pypi.org/project/setuptools/";
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Temporary hack to avoid py38 keywording hell.  Please remove when
+# the test deps all have py38.  Also setuptools' test pass with py38,
+# so you need to hack them all in locally before bumping and test.
+TEST_USEDEP=$(python_gen_usedep python2_7 python3_{5,6,7} pypy{,3})
+BDEPEND="
+       app-arch/unzip
+       test? (
+               dev-python/mock[${TEST_USEDEP}]
+               dev-python/pip[${TEST_USEDEP}]
+               >=dev-python/pytest-3.7.0[${TEST_USEDEP}]
+               dev-python/pytest-fixture-config[${TEST_USEDEP}]
+               dev-python/pytest-virtualenv[${TEST_USEDEP}]
+               dev-python/wheel[${TEST_USEDEP}]
+               virtual/python-futures[${PYTHON_USEDEP}]
+       )
+"
+PDEPEND="
+       >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst 
docs/{easy_install.txt,pkg_resources.txt,setuptools.txt} )
+
+PATCHES=(
+       # fix regression introduced by reinventing deprecated 'imp'
+       # https://github.com/pypa/setuptools/pull/1905
+       "${FILESDIR}"/setuptools-42.0.0-imp-fix.patch
+)
+
+python_prepare_all() {
+       if [[ ${PV} == "9999" ]]; then
+               python_setup
+               ${EPYTHON} bootstrap.py || die
+       fi
+
+       # disable tests requiring a network connection
+       rm setuptools/tests/test_packageindex.py || die
+
+       # don't run integration tests
+       rm setuptools/tests/test_integration.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       if [[ ${EPYTHON} == python3.8 ]]; then
+               if [[ ${PV} != 42.0.1 ]]; then
+                       eerror "Please disable py38 hacks and test locally, 
then update this."
+                       die "Python 3.8 support untested for ${PV}"
+               fi
+               einfo "Skipping testing on ${EPYTHON} due to unkeyworded deps"
+               return
+       fi
+
+       # test_easy_install raises a SandboxViolation due to 
${HOME}/.pydistutils.cfg
+       # It tries to sandbox the test in a tempdir
+       HOME="${PWD}" pytest -vv ${PN} || die "Tests failed under ${EPYTHON}"
+}
+
+python_install() {
+       export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+       distutils-r1_python_install
+}

Reply via email to